
Figure - Bug #116960
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】在开启小窗的情况下，下方应用给予权限的弹窗无法点击成功
2023-03-15 15:46 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-15

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 在PermissionController的SecureButton中对Motion事件做了处理,当时有窗口处于Permission上方的时候, TouchEvent事件会被抛弃

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开任意支持小窗应用的小窗模式

2、开一个应用，例如搜狐视频

3、弹出权限弹窗，点击允许/不允许，查看情况

【预期结果】

3、可以点击成功

【实际结果】

3、无法点击成功

History

#1 - 2023-03-15 17:15 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

#2 - 2023-03-16 19:46 - CD FW-鲁凯峰

- Root cause set to 在PermissionController的SecureButton中对Motion事件做了处理,当时有窗口处于Permission上方的时候, TouchEvent事件会被抛弃

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于在PermissionController的SecureButton中对Motion事件做了处理,当时有窗口处于Permission上方的时候, TouchEvent事件会被抛弃

解决问题的是不在判断FLAG_WINDOW_IS_OBSCURED, 因为小窗的功能是要浮现在其他全屏应用之上的

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/modules/Permission/+/187944
#3 - 2023-03-20 09:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187944 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:Permission: fix click button when freeform window existTC-RID: 1201-0201802IssueID: TS-R-BUG-116960Change-Id:

Iaafce3464b95a9b92127d0b2a9bc1f91f506161b

#4 - 2023-03-20 09:51 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

#5 - 2023-03-21 10:47 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

【验证情况】开启小窗的情况下，下方应用弹出给予权限的弹窗，弹窗可以正常的点击，pass

#6 - 2023-03-21 10:47 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
